EDocParserInternal::Index Struct Reference

Internal: an index of a EDocParser. More...

## Public Member Functions
| Index ()
| constructor

## Public Attributes
int | m_levelId
| the font id
std::string | m_text
| the text
int | m_page
| the page number
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, Index const &index)
| operator<<

## Detailed Description

Internal: an index of a EDocParser.

## Constructor & Destructor Documentation

## ◆ Index()

EDocParserInternal::Index::Index | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Index const & | index )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string EDocParserInternal::Index::m_extra

extra data

Referenced by Index(), operator<<, and EDocParser::readIndex().

## ◆ m_levelId

int EDocParserInternal::Index::m_levelId

the font id

Referenced by Index(), operator<<, and EDocParser::readIndex().

## ◆ m_page

int EDocParserInternal::Index::m_page

the page number

Referenced by Index(), operator<<, and EDocParser::readIndex().

## ◆ m_text

std::string EDocParserInternal::Index::m_text

the text

Referenced by Index(), operator<<, and EDocParser::readIndex().

The documentation for this struct was generated from the following file:

- EDocParser.cxx